SplFixedArray::rewind
SplFixedArray::toArray
SplFixedArray
PHP Manual

# SplFixedArray::setSize

(PHP 5 >= 5.3.0)

SplFixedArray::setSize — Change the size of an array

### Description

public int SplFixedArray::setSize ( int `$size` )

Change the size of an array to the new size of `size`. If `size` is less than the current array size, any values after the new size will be discarded. If `size` is greater than the current array size, the array will be padded with `NULL` values.

### Parameters

`size`

  The new array size. This should be a value between 0 and `PHP_INT_MAX`.

### Return Values

No value is returned.

### Errors/Exceptions

Throws InvalidArgumentException when `size` is less than zero.

Raises `E_WARNING` when `size` cannot be used as a number.

### Examples

Example #1 SplFixedArray::setSize() example

`<?php
$array = new SplFixedArray(5);
echo $array->getSize()."\n";
$array->setSize(10);
echo $array->getSize()."\n";
?>`

The above example will output:

    5
    10

SplFixedArray::rewind
SplFixedArray::toArray
SplFixedArray
PHP Manual